; ===========================
; Commodore Vic 20
; ===========================

; all keys can be overridden for a particular board using key.<boardtag>
; example:
;   priority = 0
;   priority.rpi4 = 3
; Complete sections may be overridden. In such cases, all key from the global section are ignored,
; you must redefine them all
; example
; [core.0]
; [core.0.rpi4]
; Board tags are defined by BR2_PACKAGE_RECALBOX_TARGET_<tag>

[system]
uuid = "3fe144d4-d7ee-4807-a175-6da778cb58d7"
name = "vic20"
fullname = "Commodore VIC-20"
theme.folder = "vic20"
roms.folder = "%ROOT%/vic20"
screenscraper.id = 73
doc.link.fr = "https://wiki.recalbox.com/fr/emulators/computers/vic-20"
doc.link.en = "https://wiki.recalbox.com/en/emulators/computers/vic-20"
port = 0
readonly = 0
icon.unicode = $F2e7

[properties]
type = computer
device.pad = optional
device.keyboard = mandatory
device.mouse = optional
device.lightgun = no
release.date = "1980-06"
manufacturer = "Commodore"
retroachievements = 0
crt.multiresolution = 0
crt.multiregion = 0

[core.0]
package = BR2_PACKAGE_LIBRETRO_VICE
priority = 1
emulator = "libretro"
core = "vice_xvic"
extensions = ".20 .40 .60 .70 .a0 .b0 .bin .crt .prg .m3u .d64 .tap .zip .7z"
netplay = 0
softpatching = 0
compatibility = high
speed = high
crt.available = 1
